classification
Title: doctest should return error if not all tests passed
Type: behavior Stage:
Components: Library (Lib) Versions: Python 2.6
process
Status: closed Resolution: accepted
Dependencies: Superseder:
Assigned To: Nosy List: alexandre.vassalotti, tebeka
Priority: low Keywords: patch

Created on 2007-11-30 22:25 by tebeka, last changed 2007-12-10 16:55 by tebeka. This issue is now closed.

Files
File name Uploaded Description Edit
doctest.py.diff tebeka, 2007-11-30 22:25
doctest.patch alexandre.vassalotti, 2007-12-08 04:27
Messages (4)
msg58020 - (view) Author: Miki Tebeka (tebeka) * Date: 2007-11-30 22:25
python -mdoctest mymodule should return an error to the OS when a test
fails.

See patch.
msg58290 - (view) Author: Alexandre Vassalotti (alexandre.vassalotti) * (Python committer) Date: 2007-12-08 04:27
Looks good to me. Here's slightly modified patch ready to be committed.
msg58291 - (view) Author: Alexandre Vassalotti (alexandre.vassalotti) * (Python committer) Date: 2007-12-08 04:50
Committed in r59411. Thanks!
msg58353 - (view) Author: Miki Tebeka (tebeka) * Date: 2007-12-10 16:55
Thank you for accepting it :)
History
Date User Action Args
2007-12-10 16:55:34tebekasetmessages: + msg58353
2007-12-08 04:50:29alexandre.vassalottisetstatus: open -> closed
resolution: accepted
messages: + msg58291
2007-12-08 04:27:49alexandre.vassalottisetpriority: low
keywords: + patch
messages: + msg58290
files: + doctest.patch
nosy: + alexandre.vassalotti
2007-11-30 22:25:29tebekacreate